Bug 26558 - [fixup-needed] WINCE needs important date related symbols
: [fixup-needed] WINCE needs important date related symbols
Status: RESOLVED FIXED
: WebKit
Platform
: 528+ (Nightly build)
: Other Other
: P2 Normal
Assigned To:
:
:
:
: 23154
  Show dependency treegraph
 
Reported: 2009-06-19 12:47 PST by
Modified: 2009-08-02 01:05 PST (History)


Attachments
Rectify (2.34 KB, patch)
2009-06-19 12:48 PST, Adam Treat
staikos: review+
Review Patch | Details | Formatted Diff | Diff
patch to DateMath.cpp (1.30 KB, patch)
2009-07-30 12:47 PST, Joe Mason
staikos: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-19 12:47:32 PST
Hi,

The date functions in DateConstructor and DatePrototype rely upon the symbols 'time' and 'strftime' which are not available under WINCE proper.  Rather they are provided by libce.
------- Comment #1 From 2009-06-19 12:48:37 PST -------
Created an attachment (id=31560) [details]
Rectify
------- Comment #2 From 2009-06-19 12:50:27 PST -------
(From update of attachment 31560 [details])
We should enhance our strftime to support # later and remove the formatting hack.
------- Comment #3 From 2009-06-19 13:10:40 PST -------
Landed with r44866.
------- Comment #4 From 2009-06-19 15:57:47 PST -------
(From update of attachment 31560 [details])
Normally we put these kinds of workarounds into header files. For example, this is what MathExtras.h is for.

Also, is there really no WinCE system header file to include to get these?
------- Comment #5 From 2009-06-22 11:39:29 PST -------
(In reply to comment #4)
> (From update of attachment 31560 [details] [review])
> Normally we put these kinds of workarounds into header files. For example, this
> is what MathExtras.h is for.
> 
> Also, is there really no WinCE system header file to include to get these?
> 

Really no. C runtime on WINCE doesn't contain these functions. This is why we need to provide a WINCE implementation for them.
------- Comment #6 From 2009-07-30 12:29:27 PST -------
A patch was missed apparently.
------- Comment #7 From 2009-07-30 12:47:59 PST -------
Created an attachment (id=33806) [details]
patch to DateMath.cpp 

DateMath.cpp also uses time symbols that have no header file on WinCE
------- Comment #8 From 2009-07-30 12:49:46 PST -------
(From update of attachment 33806 [details])

> +#if PLATFORM(WINCE) && ! PLATFORM(QT)

  Maybe remove that extra space on checkin
------- Comment #9 From 2009-08-02 01:05:37 PST -------
Committing to http://svn.webkit.org/repository/webkit/trunk ...
    M    JavaScriptCore/ChangeLog
    M    JavaScriptCore/wtf/DateMath.cpp
Committed r46692
    M    JavaScriptCore/wtf/DateMath.cpp
    M    JavaScriptCore/ChangeLog
r46692 = 63611919366d757b9062c49340f72b14c7a06f32 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/46692